<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	version="1.0">
	
<xsl:template match="presupuesto">

	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">	

		<fo:layout-master-set>
    		<fo:simple-page-master master-name="all" 
    											page-height="297mm" page-width="210mm" 
    											margin-top="10mm" margin-bottom="5mm" 
    											margin-left="15mm" margin-right="15mm">
				
				<fo:region-body margin-top="35mm" margin-bottom="50mm"/>
				<fo:region-before extent="40mm"/>
				<fo:region-after extent="50mm"/>
			
			</fo:simple-page-master>
		</fo:layout-master-set>
		
		<fo:page-sequence master-reference="all">
		
			<fo:static-content flow-name="xsl-region-before">
 				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" margin-left="2mm">
 					<!--<xsl:apply-templates select="cabecera_instalador/cabecera_instalador_rec"/>-->
 				</fo:block>
			</fo:static-content>
			
			<fo:static-content flow-name="xsl-region-after">
			
				<fo:retrieve-marker retrieve-class-name="footer-last"
                 			retrieve-boundary="page"
                 			retrieve-position="last-ending-within-page" />
    				
			
			
				<fo:block space-after.optimum="80pt"></fo:block>
				<!--
				LINEA DE SEPARACION
				-->
				<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
					<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   				border-style="solid" border-width="1pt" border-color="black">
								<fo:block text-align="center">		
								</fo:block>	
				   		</fo:table-cell>   				
				    	</fo:table-row>
				 	</fo:table-body>
				 </fo:table>
				
				<fo:block space-after.optimum="5pt"></fo:block>
				
				<fo:block text-align="end" font-size="8pt" font-family="sans-serif" line-height="1em + 2pt">
					Nº Presupuesto: <xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec/NUMEROPRESUPUESTO"/>
					___
					Página: <fo:page-number/> / <fo:page-number-citation ref-id = "lastBlock"/>
      				</fo:block>
	    	</fo:static-content> 
			
			<fo:flow flow-name="xsl-region-body">
  				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" 
  					margin-left="1mm"  margin-right="1mm">
  					
  					
  					<!--
					LINEA DE SEPARACION
					-->
					<!--<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table> 
				 	
					<fo:block space-after.optimum="10pt"></fo:block> -->
  					<xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec"/> 				
  					
  					<fo:block space-after.optimum="5pt"></fo:block>
  					
  					<xsl:apply-templates select="introdescrip/introdescrip_rec"/> 				
  					
  					<fo:block space-after.optimum="5pt"></fo:block>
					<!--
					LINEA DE SEPARACION
					-->
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
  					
  					<fo:block space-after.optimum="15pt"></fo:block>
  					<fo:block text-align="center" font-weight="bold" font-size="10pt" >
						<xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec/TITULO"/> 	
					</fo:block>
					
  					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					
  					
  					
				  	<fo:table table-layout="fixed" inline-progression-dimension="auto">
				 		<fo:table-column column-width="40mm"/>
				 		<fo:table-column column-width="100mm"/>
				 		<fo:table-column column-width="40mm"/>
				 		
				 			
				 		<fo:table-body font-weight="bold" start-indent="2pt" 
				 			margin-top="1mm" margin-bottom="1mm" 
				    		margin-left="1mm" margin-right="1mm" background-color="#A6D5E4">			
							<fo:table-row>					

				   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">
										Referencia
									</fo:block>
				   			</fo:table-cell>
				   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">
										Descripción
									</fo:block>
				   			</fo:table-cell>
							<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">
										Uds.
									</fo:block>
				   			</fo:table-cell>
				   			
							</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
  					
  					
  					<fo:block space-after.optimum="5pt"></fo:block>
  					
  					
  					
  					<xsl:apply-templates select="tablas/tablas_rec"/>
  					<!--<fo:block text-align="end">
						( ___ ) Importe No Incluido
					</fo:block>-->
  					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					<!--<xsl:apply-templates select="total/total_rec"/>
  					<fo:block space-after.optimum="10pt"></fo:block>-->
  					
  					<xsl:apply-templates select="textos/textos_rec"/>
  					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					
  					<!-- identificador ultima pagina -->
					<fo:block id = "lastBlock">
   				</fo:block>
  					
  				</fo:block>
  				
  				 <!-- put the following *only* after the last fo:block -->
  				<fo:block font-family="sans-serif" font-weight="normal" font-size="9pt" 
  					margin-left="1mm"  margin-right="1mm">
  				
  				
  				<xsl:choose>
					<xsl:when test="position() = last()">
						<fo:marker marker-class-name="footer-last">

					<fo:block space-after.optimum="10pt"></fo:block>
							
					<fo:block font-style="italic">		
						<xsl:apply-templates select="total/total_rec"/>
					</fo:block>							
					 
  					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					
  					
  					
  					<!--
					  Presupuesto recibido y tal
					   -->
					   <fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
						 	<fo:table-column column-width="180mm"/>
							 		
							<fo:table-body font-weight="normal"> 
							 	<fo:table-row keep-with-next="always">
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
										border-bottom-width="0pt" margin-top="2mm">	
										<fo:block space-after.optimum="1mm"></fo:block>				
										<fo:block text-align="start">						   											
											Presupuesto recibido antes de la realización de los trabajos. Acepto el Presupuesto previo y autorizo la realización de los trabajos.
										</fo:block>
									</fo:table-cell>	
								</fo:table-row>
								
					
								
								<fo:table-row keep-with-next="always">
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
										border-top-width="0pt" border-bottom-width="0pt">					
										<fo:block space-after.optimum="40pt"></fo:block>
									</fo:table-cell>	
								</fo:table-row>
								
								<fo:table-row keep-with-next="always">
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
										border-top-width="0pt" border-bottom-width="0pt">					
										<fo:block>						   											
											<fo:inline  text-align="start">Por el CLIENTE ____________________________ </fo:inline>
											<fo:inline  text-align="start">Por la EMPRESA INSTALADORA ____________________________</fo:inline>
										</fo:block>
									</fo:table-cell>	
								</fo:table-row>
								
								<fo:table-row keep-with-next="always">
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
										border-top-width="0pt">					
										<fo:block space-after.optimum="5pt"></fo:block>
									</fo:table-cell>	
								</fo:table-row>
								
							</fo:table-body>
						</fo:table>
							
				
				<fo:block space-after.optimum="5pt"></fo:block>
				
				<fo:block text-align="end" font-size="8pt" font-family="sans-serif" line-height="1em + 2pt">
					Nº Presupuesto: <xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec/NUMEROPRESUPUESTO"/>
					___
					Página: <fo:page-number/> / <fo:page-number-citation ref-id = "lastBlock"/>
      				</fo:block>
							
							
							
							
							
						</fo:marker>
						</xsl:when>
						<xsl:otherwise>
							<fo:marker marker-class-name="footer-last">
							
							
							<fo:block>Continued... escribe algo!!!!</fo:block>
							</fo:marker>
						</xsl:otherwise>
					</xsl:choose>

  				
  				
  				
  				
  				
  				<!--<fo:marker marker-class-name="footer-last">
  				  				

  					
  					
  					
  					
  					
  					
  				
  				</fo:marker>-->
  				</fo:block>
  				  				
			</fo:flow>
			
		</fo:page-sequence>
	</fo:root>
</xsl:template>

<xsl:key name="nTab" match="/presupuesto/capitulos/capitulos_rec" use="NUMEROTABLA"/>
<xsl:key name="nTabCap" match="/presupuesto/conceptos/conceptos_rec" use="concat(NUMEROTABLA,NUMEROCAPITULO)"/>
<xsl:key name="nTotalCapitulo" match="/presupuesto/totalcapitulos/totalcapitulos_rec" use="concat(NUMEROTABLA,NUMEROCAPITULO)"/>
<xsl:key name="nTotalTabla" match="/presupuesto/totaltablas/totaltablas_rec" use="NUMEROTABLA"/>

<!-- Informacion Datos Empresa -->
<xsl:template match="cabecera_instalador_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="1pt">
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="110mm"/>
 		 			
 		<fo:table-body>
  			<fo:table-row>  			 			
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black"
   				margin-top="5mm" margin-bottom="5mm">
					<fo:block text-align="center">
						<xsl:variable name="logo" select="LOGO"/>  							    						
						<fo:external-graphic src="{$logo}"/>					
					</fo:block>	
   			</fo:table-cell>
   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					
					<xsl:variable name="varT" select="NOMBRERAZON"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start" font-size="14pt">  					
							<xsl:apply-templates select="NOMBRERAZON"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="NIFCIF"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>C.I.F/N.I.F.: </fo:inline>
							<xsl:apply-templates select="NIFCIF"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="ficha" select="FICHADP"/>
					<!-- Primer juego de datos -->	
					<xsl:if test="$ficha = '0'">
						<xsl:variable name="varT" select="CALLE"/>	
						<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CALLE"/>
							</fo:block>
						</xsl:if>
						
						<xsl:variable name="varT" select="CODIGOPOSTAL"/>	
	   					<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CODIGOPOSTAL"/>
								<fo:inline>,  </fo:inline>
							
								<xsl:apply-templates select="POBLACION"/>
							
								<xsl:variable name="var1" select="POBLACION"/>
								<xsl:variable name="var2" select="PROVINCIA"/>
	 							<xsl:if test="$var1 != $var2">
	 								<fo:inline>  (</fo:inline>
									<xsl:apply-templates select="PROVINCIA"/>
									<fo:inline>)</fo:inline>
			   				</xsl:if>
							</fo:block>
						</xsl:if>
					</xsl:if>
					<!-- Segundo juego de datos -->
					<xsl:if test="$ficha = '1'">
						<xsl:variable name="varT" select="CALLE_2"/>	
						<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CALLE_2"/>
							</fo:block>
						</xsl:if>
						
						<xsl:variable name="varT" select="CODIGOPOSTAL_2"/>	
	   					<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CODIGOPOSTAL_2"/>
								<fo:inline>,  </fo:inline>
							
								<xsl:apply-templates select="POBLACION_2"/>
							
								<xsl:variable name="var1" select="POBLACION_2"/>
								<xsl:variable name="var2" select="PROVINCIA_2"/>
	 							<xsl:if test="$var1 != $var2">
	 								<fo:inline>  (</fo:inline>
									<xsl:apply-templates select="PROVINCIA_2"/>
									<fo:inline>)</fo:inline>
			   				</xsl:if>
							</fo:block>
						</xsl:if>
					</xsl:if>
					
					<xsl:variable name="varT" select="TELEFONO1"/>	
					<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Teléfono: </fo:inline>
							<xsl:apply-templates select="TELEFONO1"/>
							<fo:inline> Fax: </fo:inline>
							<xsl:apply-templates select="FAX"/>
						</fo:block>
					</xsl:if>
										
					<xsl:variable name="varT" select="EMAIL1"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="EMAIL1"/>
							<fo:inline> - </fo:inline>
							<xsl:apply-templates select="PAGINAWEB"/>
						</fo:block>
					</xsl:if>
					
   				<xsl:variable name="varT" select="REGISTRO"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Nº Registro Empresa Instaladora de Telecomunicación: </fo:inline>
							<xsl:apply-templates select="REGISTRO"/>
						</fo:block>
					</xsl:if>
   				
   			</fo:table-cell>
   			
   		</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<!--	formateo decimal	-->
<xsl:decimal-format name="euro"
	decimal-separator="," grouping-separator="."/>

<!-- BODY -->
<xsl:template match="cliente_y_presupuesto_rec">
	
	<!-- TABLA CLIENTE Y PRESUPUESTO -->
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 		<fo:table-column column-width="78mm"/>
 		<fo:table-column column-width="2mm"/>
 		<fo:table-column column-width="100mm"/>
 
 		<fo:table-body font-weight="normal"> 
 		
  			<!-- CABECERA -->	
			<!--<fo:table-row>  			 			   			
  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<fo:block text-align="start">
						<fo:inline font-weight="bold">PRESUPUESTO</fo:inline> 
					</fo:block>					
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
								
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<fo:block text-align="start">
						<fo:inline font-weight="bold">CLIENTE</fo:inline> 
					</fo:block>					
				</fo:table-cell>
			</fo:table-row>-->
			  			 			   		
			<!-- DATOS -->		   				
			<fo:table-row>
			

				

								
				<!-- DATOS PRESUPUESTO -->   			
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="78mm"/>
 						
 						
 						<fo:table-body>
 						
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Nº Presupuesto: </fo:inline> <xsl:apply-templates select="NUMEROPRESUPUESTO"/>

										<fo:inline> &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; Nº Versión: </fo:inline> <xsl:apply-templates select="VERSION"/>
									</fo:block>		
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>

					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="33mm"/>
 						<fo:table-column column-width="45mm"/>
 						
 						<fo:table-body>							
							<!--<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Nº Versión:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="VERSION"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>-->
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>F. Emisión: </fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHAEMISION"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>F. Validez:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHAVALIDEZ"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>F. Aceptación: </fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHAACEPTACLIENTE"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">	
											<fo:inline>C.I.F./N.I.F. </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:apply-templates select="NIFCIF"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						
						</fo:table-body>
					</fo:table>

					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
						<fo:table-column column-width="33mm"/>
						<fo:table-column column-width="45mm"/>
						
						<fo:table-body>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Tlf.: &#160;&#160; </fo:inline>
											<xsl:apply-templates select="TELEFONO"/> 
										</fo:block>			
								</fo:table-cell>
								
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:inline font-style="normal">Tlf. Contacto:  </fo:inline>						   												
										<xsl:variable name="fichadc" select="FICHADC"/>	
										<xsl:if test="$fichadc = '0'">
											<xsl:apply-templates select="TELEFONO1"/>						
										</xsl:if>
										<xsl:if test="$fichadc = '1'">
											<xsl:apply-templates select="TELEFONO1_2"/>						
										</xsl:if>
									</fo:block>
								</fo:table-cell>
								
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
						<fo:table-column column-width="33mm"/>
						<fo:table-column column-width="45mm"/>
						
						<fo:table-body>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Representante: </fo:inline>
										</fo:block>			
								</fo:table-cell>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">								
											<xsl:apply-templates select="/presupuesto/representante_cliente_presupuesto/representante_cliente_presupuesto_rec/NOMBRE"/> 
										</fo:block>			
								</fo:table-cell>
							</fo:table-row>					
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:inline font-style="normal">Tlf. Representante: </fo:inline>						   												
									</fo:block>			
								</fo:table-cell>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">								

										<xsl:apply-templates select="/presupuesto/representante_cliente_presupuesto/representante_cliente_presupuesto_rec/TELEFONO"/> 
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
   				</fo:table-cell>
   			
   			
   			
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
   			
   			
   				<!-- DATOS CLIENTE -->					
				<fo:table-cell border-style="solid" border-left-width="0pt" 
									border-right-width="0pt" border-top-width="0pt" border-bottom-width="0pt" 
									border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="99mm"/>
 						
 						<fo:table-body>
 							<fo:table-row border-style="solid" border-width="0pt">					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   												
										<xsl:apply-templates select="NOMBRE"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   												
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="CALLE"/> 
											<xsl:variable name="varTemp" select="POLIGONO"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Pol <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="EDIFICIO"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Edif. <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="BLOQUE"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Bloque <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
		 	 								<xsl:variable name="varTemp" select="PORTAL"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Portal <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="ESCALERA"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Esc <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="PISO"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Piso <xsl:value-of select="$varTemp"/>º
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="LETRAPISO"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Letra <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="CALLE_2"/>	
											<xsl:variable name="varTemp" select="POLIGONO_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Pol <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="EDIFICIO_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Edif. <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="BLOQUE_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Bloque <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
		 	 								<xsl:variable name="varTemp" select="PORTAL_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Portal <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="ESCALERA_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Esc <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="PISO_2"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Piso <xsl:value-of select="$varTemp"/>º
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="LETRAPISO_2"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Letra <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
										</xsl:if>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   																	
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="CODIGOPOSTAL"/>
											 - <xsl:apply-templates select="POBLACION"/>
											<xsl:variable name="var1" select="POBLACION"/>
											<xsl:variable name="var2" select="PROVINCIA"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:block>
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="PROVINCIA"/>
												<fo:inline>)</fo:inline>
												</fo:block>
			   								</xsl:if>	
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="CODIGOPOSTAL_2"/>
											- <xsl:apply-templates select="POBLACION_2"/>
											<xsl:variable name="var1" select="POBLACION_2"/>
											<xsl:variable name="var2" select="PROVINCIA_2"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:block>
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="PROVINCIA_2"/>
												<fo:inline>)</fo:inline>
												</fo:block>
			   								</xsl:if>
										</xsl:if>

									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</fo:table-cell>
   			
    		</fo:table-row>
    		
    		
    		
    	</fo:table-body>
   </fo:table>
</xsl:template>


<xsl:template match="introdescrip_rec">
	
	<xsl:variable name="var1" select="INTRODUCCION"/>
	<xsl:if test="string-length($var1) > 1">
	
		<fo:block space-after.optimum="10pt"></fo:block>
		
		  					<!--
					LINEA DE SEPARACION
					-->
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
  					


		
		<!-- Introduccion -->
		<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 			<fo:table-column column-width="180mm"/>
 		
 			<fo:table-body> 
 					 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">
							
							<!--
							<xsl:variable name="myString" select="INTRODUCCION"/>
							
							<xsl:variable name="myNewString">
								<xsl:call-template name="Replace">
									<xsl:with-param name="stringIn" select="$myString"/>
									<xsl:with-param name="substringIn" select="'?'"/>
									<xsl:with-param name="substringOut" select="'&#x20AC;'"/>
								</xsl:call-template>
							</xsl:variable>
							-->
							<!--
							show the new string. concat() will treat the result tree
							fragment as if it were a string returned by the string() function.
							-->
							<!--
							<xsl:value-of select="concat('&#10;input: ',$myString,'&#10;output: ',$myNewString)"/>
							-->
							
							<xsl:apply-templates select="INTRODUCCION"/>

						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
	 		</fo:table-body>
 		</fo:table>
 	
 		<fo:block space-after.optimum="10pt"></fo:block>
 		
 	</xsl:if>
 	
 	<xsl:variable name="var2" select="DESCRIPCION"/>
	<xsl:if test="string-length($var2) > 1">
 		<!-- Comentarios y presentación -->
 		<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 			<fo:table-column column-width="180mm"/>
 		
 			<fo:table-body font-weight="normal"> 
 				 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="DESCRIPCION"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
	 		</fo:table-body>
 		</fo:table>
 	</xsl:if>
 	
  	 	
	
</xsl:template>

<!-- Informacion TablasPresupuestos -->
<xsl:template match="tablas_rec">

	
	<fo:block>
		<!--<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="1pt">
 			<fo:table-column column-width="15mm"/>
 			<fo:table-column column-width="100mm"/>
 			<fo:table-column column-width="65mm"/>
 			
 	
 			<fo:table-body>
 	
  				<fo:table-row>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
						</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   					<fo:block text-align="start" font-weight="bold">
							<fo:inline >Tabla </fo:inline>			
							<xsl:apply-templates select="NUMEROTABLA"/>
							<fo:inline >.</fo:inline>			
						</fo:block>
						<fo:block text-align="start">
    						<xsl:apply-templates select="TITULO"/>									
    					</fo:block>
   				</fo:table-cell>   				
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
    					</fo:block>
   				</fo:table-cell>
   			</fo:table-row>
 			</fo:table-body>
 		</fo:table>-->
 		
 		<xsl:variable name="numTabla" select="NUMEROTABLA"/>							
 		<xsl:apply-templates select="key('nTab',$numTabla)"/>   		
 		
		<!-- <xsl:apply-templates select="key('nTotalTabla',$numTabla)"/>-->
		
	</fo:block>
</xsl:template>

<!--	Informacion CapitulosPresupuestos -->

<xsl:template match="capitulos_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 			<fo:table-column column-width="100mm"/>
 			<fo:table-column column-width="65mm"/>
		
 		<fo:table-body>			
 			<!--<fo:table-row>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							<fo:block space-after.optimum="15pt"></fo:block>
						</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
						</fo:block>
   				</fo:table-cell>			   				
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   				</fo:table-cell>
			</fo:table-row>-->

			<!--<fo:table-row>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
						</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start" font-weight="bold">
							<fo:inline >Capítulo </fo:inline>			
							<xsl:apply-templates select="NUMEROTABLA"/>
							<fo:inline >.</fo:inline>			
							<xsl:apply-templates select="NUMEROCAPITULO"/>
							<fo:inline >.</fo:inline>
						</fo:block>
						<fo:block text-align="start">			
							<xsl:apply-templates select="TITULO"/>
						</fo:block>
   				</fo:table-cell>			   				
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
						</fo:block>
   				</fo:table-cell>
			</fo:table-row>

			<fo:table-row>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
						</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							<xsl:apply-templates select="DESCRIPCION"/>
						</fo:block>
   				</fo:table-cell>			   				
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
						</fo:block>
   				</fo:table-cell>
			</fo:table-row>			-->
 		</fo:table-body>
 	</fo:table>
 	
 	<!--<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="40mm"/>
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="25mm"/>

 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<fo:table-column column-width="15mm"/>
			<fo:table-column column-width="25mm"/>
		</xsl:if>

 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum = 0">
			<fo:table-column column-width="40mm"/>
		</xsl:if>
 			
 		<fo:table-body font-weight="bold" start-indent="2pt" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm" background-color="#A6D5E4">			
			<fo:table-row>					
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						Uds.
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						Referencia
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						Descripción
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						P. Unitario €
					</fo:block>
   			</fo:table-cell>
   			
 				<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
				<xsl:if test="$sum > 0">
					<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							Dto.
						</fo:block>
   				</fo:table-cell>
				</xsl:if>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						Importe €
					</fo:block>
   			</fo:table-cell>   					   								   				   					
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>  	 	-->
			
	<xsl:variable name="numTabla" select="NUMEROTABLA"/>
	<xsl:variable name="numCapitulo" select="NUMEROCAPITULO"/>
	<xsl:apply-templates select="key('nTabCap',concat($numTabla,$numCapitulo))"/>
	<!--<xsl:apply-templates select="key('nTotalCapitulo',concat($numTabla,$numCapitulo))"/>-->
	
</xsl:template>

<!--	Informacion ConceptosPresupuestos -->
<xsl:template match="conceptos_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="40mm"/>
 		<fo:table-column column-width="100mm"/>
 		<fo:table-column column-width="40mm"/>
 		<!--<fo:table-column column-width="25mm"/>

 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<fo:table-column column-width="15mm"/>
			<fo:table-column column-width="25mm"/>
		</xsl:if>

 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum = 0">
			<fo:table-column column-width="40mm"/>
		</xsl:if>-->
 			
		<fo:table-body start-indent="2pt" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">			
			<fo:table-row>
			
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="REFERENCIA"/>
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="DESCRIPCION"/>
					</fo:block>
   			</fo:table-cell>			   				   							   		
   			
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="center">
						<xsl:apply-templates select="UNIDADES"/>
					</fo:block>
   			</fo:table-cell>   				
   			
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="PVP"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(PVP, '#.###,00', 'euro')"/>
					</fo:block>
   			</fo:table-cell>
   			
 				<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
				<xsl:if test="$sum > 0">
					<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							<xsl:apply-templates select="DESCUENTO"/>%
						</fo:block>
   				</fo:table-cell>
				</xsl:if>		
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<xsl:variable name="var1" select="FACTURABLE"/>
	 				<xsl:if test="$var1 = '0'">
	 					<fo:block text-align="end" text-decoration="line-through">
	 						<xsl:variable name="varZ" select="IMPORTE"/>
							<xsl:if test="not($varZ > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(IMPORTE, '#.###,00', 'euro')"/>
						</fo:block>
					</xsl:if>
					
					<xsl:if test="$var1 = '1'">
	 					<fo:block text-align="end">
	 						<xsl:variable name="varZ" select="IMPORTE"/>
							<xsl:if test="not($varZ > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(IMPORTE, '#.###,00', 'euro')"/>
						</fo:block>
					</xsl:if>
   			</fo:table-cell>-->
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>	
</xsl:template>

<!--	Informacion TotalCapitulos -->
<xsl:template match="totalcapitulos_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="100mm"/>
 		<fo:table-column column-width="25mm"/>
 		<fo:table-column column-width="40mm"/>		
		
		<fo:table-body font-weight="bold">			
			<fo:table-row>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">   					
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   				</fo:table-cell>			   				
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							<fo:inline font-weight="bold" text-align="center">Total </fo:inline>							
							<xsl:apply-templates select="NUMEROTABLA"/>
							<fo:inline >.</fo:inline>													
							<xsl:apply-templates select="NUMEROCAPITULO"/>
						</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="TOTALCAPITULO"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALCAPITULO, '#.###,00', 'euro')"/>
					</fo:block>
   				</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>	
</xsl:template>

<!--	Informacion TotalTablas -->
<xsl:template match="totaltablas_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="100mm"/>
 		<fo:table-column column-width="25mm"/>
 		<fo:table-column column-width="40mm"/>	
		
		<fo:table-body font-weight="bold">			
			<!--<fo:table-row>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						<fo:block space-after.optimum="15pt"></fo:block>
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>			   				
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
			</fo:table-row>-->
			<fo:table-row>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">   					
   			</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   			</fo:table-cell>			   				
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   				<fo:block text-align="start">   					
						<fo:inline>Total </fo:inline>							
   					<xsl:apply-templates select="NUMEROTABLA"/>
   				</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="TOTALTABLA"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALTABLA, '#.###,00', 'euro')"/>
					</fo:block>
   			</fo:table-cell>
			</fo:table-row>
			<!--<fo:table-row>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						<fo:block space-after.optimum="15pt"></fo:block>
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>			   				
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
			</fo:table-row>-->
 		</fo:table-body>
 	</fo:table>	
</xsl:template>

<!--	Informacion Total -->
<xsl:template match="total_rec">

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
  		<!--<fo:table-column column-width="36mm"/>-->
  		
 		<fo:table-body font-weight="bold" margin-top="2mm" margin-bottom="1mm" 
    			margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  				<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA</fo:inline> 
					</fo:block>
				</fo:table-cell>-->
  				
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:block space-after.optimum="1mm"></fo:block>
						<fo:inline>BASE IMPONIBLE</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:block space-after.optimum="1mm"></fo:block>
						<fo:inline>IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:block space-after.optimum="1mm"></fo:block>
						<fo:inline>CUOTA IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
						<fo:block space-after.optimum="1mm"></fo:block>
   						<fo:inline>TOTAL</fo:inline> 
   					</fo:block>										
   			</fo:table-cell>
   		</fo:table-row>
   		
   		<fo:table-row>
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="SUMA"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(SUMA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								<fo:block space-after.optimum="15pt"></fo:block>
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>-->
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   					<fo:block space-after.optimum="1mm"></fo:block>
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="/presupuesto/baseimponible/baseimponible_rec/BASEIMPONIBLE"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(/presupuesto/baseimponible/baseimponible_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
						</xsl:if>
					</fo:block>
				</fo:table-cell>	
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">	
					<fo:block space-after.optimum="1mm"></fo:block>
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="iva" select="IVA"/>
						<xsl:variable name="base" select="/presupuesto/baseimponible/baseimponible_rec/BASEIMPONIBLE"/>
						<xsl:if test="$base > 0">
							<xsl:value-of select="round(($iva*100) div $base)"/>%
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block space-after.optimum="1mm"></fo:block>
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="IVA"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(IVA, '#.###,00', 'euro')"/> €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block space-after.optimum="1mm"></fo:block>
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="TOTAL"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(TOTAL, '#.###,00', 'euro')"/> €
							</xsl:if>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell>	   			
    		</fo:table-row>
    		
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<!--	Informacion TEXTOS FINALES -->
<xsl:template match="textos_rec">
	
	<xsl:variable name="var3" select="CONDICIONESGENERALES"/>
	<xsl:if test="string-length($var3) > 1">
	
		<!-- Condiciones generales -->
		<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="180mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
	  			<fo:table-row>  			 			   			
	  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
						<fo:block text-align="start">
							<fo:inline font-weight="bold">CONDICIONES GENERALES</fo:inline> 
						</fo:block>					
					</fo:table-cell>
				</fo:table-row>
				  			 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="CONDICIONESGENERALES"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
		 	</fo:table-body>
	 	</fo:table>
	 	
	 	<fo:block space-after.optimum="10pt"></fo:block>
	 	
 	</xsl:if>
 		
 	
 	<xsl:variable name="var4" select="OBSERVACIONES"/>
	<xsl:if test="string-length($var4) > 1">
 	
	 	<!-- Observaciones -->
	 	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="180mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
	  			<fo:table-row>  			 			   			
	  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
						<fo:block text-align="start">
							<fo:inline font-weight="bold">OBSERVACIONES</fo:inline> 
						</fo:block>					
					</fo:table-cell>
				</fo:table-row>
				  			 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="OBSERVACIONES"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
		 	</fo:table-body>
	 	</fo:table>
	
		<fo:block space-after.optimum="10pt"></fo:block>
   </xsl:if>
   
   <!--
   Presupuesto recibido y tal - en el formato personalizado lo pasamos arriba
   -->
   <!--<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 	<fo:table-column column-width="180mm"/>
		 		
		<fo:table-body font-weight="normal"> 
		 	<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-bottom-width="0pt">					
					<fo:block text-align="start">						   											
						Presupuesto recibido antes de la realización de los trabajos. Acepto el Presupuesto previo y autorizo la realización de los trabajos.
					</fo:block>
				</fo:table-cell>	
			</fo:table-row> -->
			
			<!--<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block space-after.optimum="10pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>-->
			
			<!--<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
				border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block text-align="start">
						<fo:inline>F. Emisión del Presupuesto </fo:inline>
						<xsl:variable name="fecha" select="FECHAEMISION"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block text-align="start">
						<fo:inline>F. Aceptación </fo:inline>
						<xsl:variable name="fecha" select="FECHAACEPTACLIENTE"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
					</fo:block>
					</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block space-after.optimum="10pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
					
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block text-align="start">						   											
						Acepto el Presupuesto previo y autorizo la realización de los trabajos.
					</fo:block>		
				</fo:table-cell>	
			</fo:table-row> -->
			
			<!--<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block space-after.optimum="60pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block>						   											
						<fo:inline  text-align="start">Por el CLIENTE ____________________ </fo:inline>
						<fo:inline  text-align="start">Por la EMPRESA INSTALADORA ____________________</fo:inline>
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt">					
					<fo:block space-after.optimum="10pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
		</fo:table-body>
	</fo:table>-->
      
 	<xsl:variable name="var5" select="OTROSSERVICIOS"/>
	<xsl:if test="string-length($var5) > 1">
 
	   <!-- Observaciones -->
	   
	   <fo:block space-after.optimum="10pt"></fo:block>
	   
	 	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="180mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
	  			<fo:table-row>  			 			   			
	  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
						<fo:block text-align="start">
							<fo:inline font-weight="bold">OTROS SERVICIOS</fo:inline> 
						</fo:block>					
					</fo:table-cell>
				</fo:table-row>
				  			 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="OTROSSERVICIOS"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
		 	</fo:table-body>
	 	</fo:table>
   </xsl:if>
   
   <xsl:variable name="var5" select="DESPEDIDACOMENTARIOS"/>
	<xsl:if test="string-length($var5) > 1">
 
	   <!-- Observaciones -->
	   
	   <fo:block space-after.optimum="10pt"></fo:block>
	   
	 	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="180mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="DESPEDIDACOMENTARIOS"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
		 	</fo:table-body>
	 	</fo:table>
   </xsl:if>
   
</xsl:template>

<!--	Funcion para reemplazar cadenas	-->
<xsl:template name="Replace">
	<xsl:param name="stringIn"/>
	<xsl:param name="substringIn"/>
	<xsl:param name="substringOut"/>
	<xsl:choose>
		<xsl:when test="contains($stringIn,$substringIn)">
			<xsl:value-of select="concat(substring-before($stringIn,$substringIn),$substringOut)"/>
			<xsl:call-template name="Replace">
				<xsl:with-param name="stringIn" select="substring-after($stringIn,$substringIn)"/>
				<xsl:with-param name="substringIn" select="$substringIn"/>
				<xsl:with-param name="substringOut" select="$substringOut"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$stringIn"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>